StudentWritingCParserInternal::FrameStruct Struct Reference

an structure of StudentWritingCParserInternal to store the position of a frame and its entries More...

## Public Member Functions

| FrameStruct (int type)
| constructor

## Public Attributes

int | m_type
| the frame type
int | m_page
| the page
ZoneEntry | m_id
| the zone id
MWAWBox2f | m_boxes [2]
| the bounding boxes

## Detailed Description

an structure of StudentWritingCParserInternal to store the position of a frame and its entries

## Constructor & Destructor Documentation

## FrameStruct()

StudentWritingCParserInternal::FrameStruct::FrameStruct | ( | int | type | ) |

inline explicit

constructor

## Member Data Documentation

## m_boxes

MWAWBox2f StudentWritingCParserInternal::FrameStruct::m_boxes[2]

the bounding boxes

Referenced by StudentWritingCParser::readFrame().

## m_id

ZoneEntry StudentWritingCParserInternal::FrameStruct::m_id

the zone id

Referenced by FrameStruct(), and StudentWritingCParser::readFrame().

## m_page

int StudentWritingCParserInternal::FrameStruct::m_page

the page

Referenced by FrameStruct(), and StudentWritingCParser::readFrame().

## m_type

int StudentWritingCParserInternal::FrameStruct::m_type

the frame type

Referenced by FrameStruct().

The documentation for this struct was generated from the following file:

- StudentWritingCParser.cxx